#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <arpa/inet.h> 
#include <sys/types.h> 
#include <sys/socket.h>
#include <netinet/in.h> 
#include <errno.h>
#include <string.h> // for bzero()
#include <time.h>

#define SERVER_IP "212.95.178.194"

#define NUM 2000

struct clone
{
	int fd;

};

int main(int argc,char **argv)
{
	struct clone conns[NUM];
	int current;
	struct sockaddr_in srvr;
	struct timespec slptm;
        char *query;
	int PORT;


	if (argc!=3)
	{
		printf("Usage : %s port prefix \n",*argv);
                exit(1);
	};
	argv++;
	PORT=atoi(*argv);
        argv++;
	slptm.tv_sec=1;
        slptm.tv_nsec=0;


        query=(char *) malloc(203);
        bzero(&srvr,sizeof(struct sockaddr_in));
	inet_aton(SERVER_IP,&srvr.sin_addr);
	srvr.sin_port=htons (PORT);
	srvr.sin_family=AF_INET;


	for (current=0;current <NUM; current++)
	{
		conns[current].fd=socket(AF_INET,SOCK_STREAM,0);
		connect (conns[current].fd,&srvr,sizeof(struct sockaddr_in));

		snprintf(query,200,"USER test test test :Tst\nNICK %s%d\nJOIN #c%s_%d\n",*argv,conns[current].fd,*argv,conns[current].fd);
                write(conns[current].fd,query,strlen(query));
                nanosleep (&slptm,NULL);
	};




        return 0;

}

